Subject: bug#53643: closed (Re: bug#53708: [PATCH] Fix Elixir substitution error)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 14 Feb 2022 14:52:02 +0000

Your bug report

#53708: [PATCH] Gnu: Elixir: Use previous method for detecting sh

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
53708: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=53708
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#53708: [PATCH] Fix Elixir substitution error
From: Ludovic Courtès <[email-masked]>
To: Cees de Groot <[email-masked]>
Cc: [email-masked]
Date: Mon, 14 Feb 2022 15:51:15 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Cees de Groot <[email-masked]> skribis:

>>>From d9860a374c5b6e5b992439a232e6897bfde1e334 Mon Sep 17 00:00:00 2001
> From: Cees de Groot <[email-masked]>
> Date: Tue, 1 Feb 2022 14:12:17 -0500
> Subject: [PATCH] Fix regex for ERTS_BIN substitution in Elixir
>
> Something must have gone wrong during testing of the ELixir 1.13.2 patch I submitted last week. Apart from #53707, I also found out that the whole substitution regex did not work. This works better - it is still more brittle than I like, but apparently `substitute*`
> does not work with fully anchored regexes.

I adjusted the commit log and applied it.

Thanks!

Ludo’.

Subject: [PATCH] Gnu: Elixir: Use previous method for detecting sh
From: John Hamelink <[email-masked]>
To: [email-masked]
Date: Sun, 30 Jan 2022 21:15:17 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

gnu/packages/elixir.scm (elixir)[arguments]: Keep G-expressions, but use
========================================================================

WHICH instead of SEARCH-INPUT-FILES.

Signed-off-by: John Hamelink <[email-masked]>
---
 gnu/packages/elixir.scm | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Hi there,

While following a tutorial, I found myself struggling to build
elixir. After discussing on #guix, and looking on the build server for
clues, it seems that the SEARCH-INPUT-FILE change in 3da297997d ("gnu:
elixir: Use G-expressions.")  was the culprit. Within the
G-expression, I reverted to the use of WHICH for the "sh" binary,
while leaving the others as they are.

I do not understand the differences between these two functions or why
SEARCH-INPUT-FILE is preferential, so there may be additional caveats I'm not
aware of that SEARCH-INPUT-FILE addresses.

Thanks
John

diff --git a/gnu/packages/elixir.scm b/gnu/packages/elixir.scm
index 3fb74a56a5..5df50902ce 100644
--- a/gnu/packages/elixir.scm
+++ b/gnu/packages/elixir.scm
@@ -68,7 +68,7 @@ (define-public elixir
               (substitute* '("lib/mix/lib/mix/release.ex"
                              "lib/mix/lib/mix/tasks/release.init.ex")
                 (("#!/bin/sh")
- (string-append "#!" (search-input-file inputs "sh"))))
+ (string-append "#!" (which "sh"))))
  (substitute* "bin/elixir"
    (("^ERTS_BIN=$")
     (string-append
-- 
2.35.1